Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.45
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.crypto
Interface BasicAgreement

All Known Implementing Classes:
  DHBasicAgreement, ECDHBasicAgreement, ECDHCBasicAgreement, ECMQVBasicAgreement

    public interface BasicAgreement

The basic interface that basic Diffie-Hellman implementations conforms to.

Method Summary
`java.math.BigInteger` | `calculateAgreement(CipherParameters pubKey)` given a public key from a given party calculate the next message in the agreement sequence.
`void` | `init(CipherParameters param)` initialise the agreement engine.

Method Detail

### init

    void init(CipherParameters param)

  initialise the agreement engine.

### calculateAgreement

    java.math.BigInteger calculateAgreement(CipherParameters pubKey)

  given a public key from a given party calculate the next message in the agreement sequence.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.45
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD